Name:           thoggen
Version:        0.1.999
Release:        0.3
Summary:        Easy-to-use DVD ripper that encodes into ogg/theora video

Group:          Applications/Multimedia
License:        GPL
URL:            http://thoggen.net
Source:         thoggen-0.1.999.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

###### possibly we don't need the -plugins-foo-extra packages ######
BuildRequires: hal-devel >= 0.4.0
BuildRequires: gtk2-devel >= 2.4.9
BuildRequires: libglade2-devel >= 2.0.0
BuildRequires: libdvdread-devel >= 0.9.4
BuildRequires: gstreamer-devel >= 0.8.7
BuildRequires: gstreamer-tools >= 0.8.7
BuildRequires: gstreamer-plugins >= 0.8.7
BuildRequires: gstreamer-plugins-devel >= 0.8.7
BuildRequires: gstreamer-plugins-audio >= 0.8.7
BuildRequires: gstreamer-plugins-extra-audio >= 0.8.7
BuildRequires: gstreamer-plugins-extra-dvd >= 0.8.7
BuildRequires: gstreamer-plugins-video >= 0.8.7
BuildRequires: gstreamer-plugins-extra-video >= 0.8.7
BuildRequires: gettext

Requires:      hal >= 0.4.0
Requires:      gtk2 >= 2.4.9
Requires:      libglade2 >= 2.0.0
Requires:      libdvdread >= 0.9.4
Requires:      gstreamer >= 0.8.7
Requires:      gstreamer-plugins >= 0.8.7
Requires:      gstreamer-plugins-audio >= 0.8.7
Requires:      gstreamer-plugins-extra-audio >= 0.8.7
Requires:      gstreamer-plugins-extra-dvd >= 0.8.7
Requires:      gstreamer-plugins-video >= 0.8.7
Requires:      gstreamer-plugins-extra-video >= 0.8.7

%description
Thoggen is a DVD backup utility ('DVD ripper') for Linux, based on GStreamer
and Gtk+, designed to be easy and straight-forward to use.  It encodes any
number of DVD titles into the ogg/theora video format (with ogg/vorbis audio)
and supports picture cropping and picture resizing.

Thoggen is currently beta software.
The thoggen homepage is at http://thoggen.net

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}

#make test
#make check


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO NEWS

%{_bindir}/*
%{_datadir}/doc/thoggen/*
%{_datadir}/thoggen/ui/*
%{_mandir}/man1/*


%changelog
* Wed Jan 05 2004 Tim-Philipp Müller <tp-m@users.sourceforge.net> - 0:0.2-1
- New release

